org.apache.ignite.compute

## Annotation Type ComputeTaskName

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface ComputeTaskName

This annotation allows to assign optional name to grid task. If attached to `ComputeTask` implementation Ignite will take this name as a task name instead of default which is grid task's class FQN.

### Required Element Summary

Required Elements
`String` `value` Optional task name.

### Element Detail

#### value

    public abstract String value

Optional task name.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015